@if (section) {
  <div class="section">
    @if (isStandardScenario || isKeywordScenario) {
      @if (section.prerequisite) {
        <h3>
          {{ 'sqtm-core.entity.test-case.prerequisites.label' | translate }}
        </h3>
        <span [innerHTML]="section.prerequisite | safeRichContent"></span>
      }
      @if (isStandardScenario) {
        <h3>{{ 'sqtm-core.entity.test-step.label.plural' | translate }}</h3>
      }
      <table class="full-width" aria-label="Test case scenario">
        <tr>
          @for (header of headers; track header) {
            <th scope="col">
              {{ header | translate }}
            </th>
          }
        </tr>
        @for (row of rows; track row; let index = $index) {
          <tr>
            @if (row.kind === 'action') {
              @for (cell of row.cells; track cell) {
                <td>
                  @if (cell.renderAsHtml) {
                    <span [innerHTML]="cell.content | safeRichContent"> </span>
                  } @else {
                    <span class="pre-wrap">{{ cell.content | translate }}</span>
                  }
                  @if (cell.datatable) {
                    <h4>
                      {{
                        'sqtm-core.entity.test-step.datatable.label' | translate
                      }}
                    </h4>
                    <span
                      [innerHTML]="cell.datatable"
                      class="pre-wrap font-family-monospace"
                    ></span>
                  }
                  @if (cell.docstring) {
                    <h4>
                      {{
                        'sqtm-core.entity.test-step.docstring.label' | translate
                      }}
                    </h4>
                    <span [innerHTML]="cell.docstring" class="pre-wrap"></span>
                  }
                  @if (cell.comment) {
                    <h4>
                      {{
                        'sqtm-core.entity.test-step.comment.label' | translate
                      }}
                    </h4>
                    <span [innerHTML]="cell.comment" class="pre-wrap"></span>
                  }
                </td>
              }
            } @else {
              <td>{{ index + 1 }}</td>
              <td [colSpan]="columnCount - 1">
                <span
                  >{{ 'sqtm-core.entity.call-step.label' | translate }} "{{
                    row.calledTestCase
                  }}"</span
                >
                @if (row.calledDataset) {
                  <span>
                    {{
                      'sqtm-core.entity.call-step.dataset.using-dataset'
                        | translate
                    }}
                    "{{ row.calledDataset }}"
                  </span>
                }
                <div class="nested-table-wrapper">
                  <table class="nested-table" aria-label="{{ section.title }}">
                    <tr>
                      <th>#</th>
                      <th>
                        {{
                          'sqtm-core.entity.test-step.action.singular'
                            | translate
                        }}
                      </th>
                      <th>
                        {{
                          'sqtm-core.entity.test-step.expected-result.label'
                            | translate
                        }}
                      </th>
                    </tr>
                    @for (
                      calledStep of row.calledTestSteps;
                      track calledStep;
                      let idx = $index
                    ) {
                      <tr>
                        <td>{{ idx + 1 }}</td>
                        @if (calledStep.kind === 'action') {
                          <td>
                            <span
                              [innerHTML]="calledStep.action | safeRichContent"
                            ></span>
                          </td>
                          <td>
                            <span
                              [innerHTML]="
                                calledStep.expectedResult | safeRichContent
                              "
                            ></span>
                          </td>
                        } @else {
                          <td [colSpan]="2">
                            Appel de {{ calledStep.calledTestCaseName }}
                          </td>
                        }
                      </tr>
                    }
                  </table>
                </div>
              </td>
            }
          </tr>
        }
      </table>
    }
    @if (isScriptedScenario) {
      <pre><code class="script">{{script}}</code></pre>
    }
  </div>
}
